package edu.ntnu.stud.chaosgame;

import edu.ntnu.stud.chaosgame.game.ChaosGameDescription;
import edu.ntnu.stud.chaosgame.game.ChaosGameFileHandler;
import edu.ntnu.stud.chaosgame.model.Matrix2x2;
import edu.ntnu.stud.chaosgame.model.Vector2D;
import edu.ntnu.stud.chaosgame.model.transformations.AffineTransform2D;
import edu.ntnu.stud.chaosgame.model.transformations.Transform2D;
import java.util.ArrayList;
import java.util.List;

/**
 * Main class for the Chaos Game application.
 */
public class Main {

  public static void main(String[] args) {
    System.out.println("Hi");
    String path = "src/main/resources/descriptions/TestDescription.txt";

    Vector2D minCoords = new Vector2D(0, 0);
    Vector2D maxCoords = new Vector2D(1, 1);
    Matrix2x2 transformMatrix = new Matrix2x2(0, 0.5, 0, 0.5);
    Vector2D translationVector = new Vector2D(0.5, 0);

    AffineTransform2D affineTransform = new AffineTransform2D(transformMatrix, translationVector);
    List<Transform2D> transforms = new ArrayList<>();
    transforms.add(affineTransform);

    try {
      //ChaosGameDescription description = new ChaosGameFileHandler().readFromFile(path);
      ChaosGameDescription description = new ChaosGameDescription(minCoords, maxCoords, transforms);
      System.out.println("MaxCoords-object of description: " + description.getMaxCoords());
    } catch (Exception e) {
      System.out.println(e.getMessage()); // TODO: Alter error handling
    }




  }
}